pub use sea_orm_migration::prelude::*;

mod m20220101_000001_bootstrap;
mod m20230729_201733_drop_messaging_integrations;
mod m20230729_212237_user_unique_idx;
mod m20230806_142918_drop_featured_note_option;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20220101_000001_bootstrap::Migration),
            Box::new(m20230729_201733_drop_messaging_integrations::Migration),
            Box::new(m20230729_212237_user_unique_idx::Migration),
            Box::new(m20230806_142918_drop_featured_note_option::Migration),
        ]
    }
}
