use serde::{Deserialize, Serialize};
use ts_rs::TS;

pub use magnetar_mmm_parser as mmm;
pub mod endpoints;
pub mod types;
pub mod util_types;

#[derive(Debug, Clone, Copy, PartialEq, Eq, Default, Serialize, Deserialize, TS)]
#[repr(transparent)]
pub struct Required<T>(pub T);

pub trait Packed: 'static {
    type Input: 'static;

    fn pack_from(val: Self::Input) -> Self;
}
