mod user;

use crate::api_v1::user::{handle_user_info, handle_user_info_self};
use crate::service::MagnetarService;
use crate::web::auth;
use crate::web::auth::AuthState;
use axum::middleware::from_fn_with_state;
use axum::routing::get;
use axum::Router;
use std::sync::Arc;

pub fn create_api_router(service: Arc<MagnetarService>) -> Router {
    Router::new()
        .route("/users/@self", get(handle_user_info_self))
        .route("/users/:id", get(handle_user_info))
        .layer(from_fn_with_state(
            AuthState::new(service.clone()),
            auth::auth,
        ))
        .with_state(service)
}
