use crate::service::MagnetarService;
use crate::web::auth::{AuthenticatedUser, MaybeUser};
use crate::web::ApiError;
use axum::extract::{Path, Query, State};
use axum::Json;
use magnetar_sdk::endpoints::user::{GetUserById, GetUserSelf, UserByIdReq, UserSelfReq};
use magnetar_sdk::endpoints::{Req, Res};
use std::sync::Arc;

pub async fn handle_user_info_self(
    Query(UserSelfReq {
        detail: _,
        pins: _,
        profile: _,
        secrets: _,
    }): Query<Req<GetUserSelf>>,
    State(_service): State<Arc<MagnetarService>>,
    AuthenticatedUser(_user): AuthenticatedUser,
) -> Result<Json<Res<GetUserSelf>>, ApiError> {
    todo!()
}

pub async fn handle_user_info(
    Path(_id): Path<String>,
    Query(UserByIdReq {
        detail: _,
        pins: _,
        profile: _,
        relation: _,
        auth: _,
    }): Query<Req<GetUserById>>,
    State(_service): State<Arc<MagnetarService>>,
    MaybeUser(_user): MaybeUser,
) -> Result<Json<Res<GetUserById>>, ApiError> {
    todo!()
}
